/**
 * 告警工单管理接口
 */
import request from '@/utils/request'
// 告警工单查询
export function getJobList(params) {
  return request({
    url: 'job/list',
    method: 'get',
    params
  })
}

export function handleJob(id) {
  return request({
    url: 'job/handleJob',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 工单详情
export function getJobInfo(jobId) {
  return request({
    url: 'job/info',
    method: 'get',
    params: {
      id: jobId
    }
  })
}
// 批量导出
export function batchExportJob(params) {
  return request({
    url: 'job/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

